I18n
GET/api/v1/i18n/projects
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: name, active_version, updated_at, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "projects": [ { "active_version": 0, "approval_required": true, "base_locale": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "fallback_policy": { "default_chain": [ "string" ], "locale_overrides": { "property1": [ "string" ], "property2": [ "string" ] }, "mode": "recursive" }, "name": "string", "project_id": "string", "translator_roles": [ "string" ], "updated_at": "2019-08-24T14:15:22Z" } ]}POST/api/v1/i18n/projects
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects" \ -H "Content-Type: application/json" \ -d '{ "base_locale": "string", "name": "string" }'{ "active_version": 0, "approval_required": true, "base_locale": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "fallback_policy": { "default_chain": [ "string" ], "locale_overrides": { "property1": [ "string" ], "property2": [ "string" ] }, "mode": "recursive" }, "name": "string", "project_id": "string", "translator_roles": [ "string" ], "updated_at": "2019-08-24T14:15:22Z"}GET/api/v1/i18n/projects/{project_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects/string"{ "active_version": 0, "approval_required": true, "base_locale": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "fallback_policy": { "default_chain": [ "string" ], "locale_overrides": { "property1": [ "string" ], "property2": [ "string" ] }, "mode": "recursive" }, "name": "string", "project_id": "string", "translator_roles": [ "string" ], "updated_at": "2019-08-24T14:15:22Z"}POST/api/v1/i18n/projects/{project_id}/experiments
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/experiments" \ -H "Content-Type: application/json" \ -d '{ "experiment_id": "string", "key": "string", "variants": [ { "experiment_id": "string", "value": "string", "variant": "string", "weight": 0 } ] }'{ "experiment_id": "string", "key": "string", "record_id": "string", "variant_count": 0}GET/api/v1/i18n/projects/{project_id}/locales
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: created_at, updated_at. Default: -updated_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects/string/locales"{ "locales": [ { "active_version": 0, "coverage": { "fallback_hits_24h": 0, "missing_keys": 0, "translated_keys": 0 }, "display_name": "string", "fallback_chain": [ "string" ], "locale": "string", "locale_id": "string", "plural_rules": "string", "project_id": "string", "status": "draft", "updated_at": "2019-08-24T14:15:22Z" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "project_id": "string"}POST/api/v1/i18n/projects/{project_id}/locales
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/locales" \ -H "Content-Type: application/json" \ -d '{ "display_name": "string", "locale": "string" }'{ "active_version": 0, "coverage": { "fallback_hits_24h": 0, "missing_keys": 0, "translated_keys": 0 }, "display_name": "string", "fallback_chain": [ "string" ], "locale": "string", "locale_id": "string", "plural_rules": "string", "project_id": "string", "status": "draft", "updated_at": "2019-08-24T14:15:22Z"}GET/api/v1/i18n/projects/{project_id}/locales/{locale}/bundle
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Include fallback-resolved values for missing keys
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects/string/locales/string/bundle"{ "etag": "string", "locale": "string", "project_id": "string", "published_at": "2019-08-24T14:15:22Z", "strings": { "property1": "string", "property2": "string" }, "version": 0}POST/api/v1/i18n/projects/{project_id}/publish
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/publish" \ -H "Content-Type: application/json" \ -d '{}'{ "active_version": 0, "project_id": "string", "published_locales": [ { "key_count": 0, "locale": "string", "version": 0 } ]}GET/api/v1/i18n/projects/{project_id}/report/missing
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Filter by locale
Filter by namespace
Filter by caller
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects/string/report/missing"{ "events": [ { "caller": "string", "count": 0, "fallback_used": "string", "first_seen_at": "2019-08-24T14:15:22Z", "key": "string", "last_seen_at": "2019-08-24T14:15:22Z", "locale": "string", "namespace": "string" } ], "project_id": "string"}GET/api/v1/i18n/projects/{project_id}/resolve
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Locale to resolve for
Translation key to resolve
Optional plural count for pluralized keys
int64Variable values as repeated name:value pairs
Context selectors as repeated name:value pairs
Subject id used for deterministic A/B bucketing
Response Body
application/json
curl -X GET "https://example.com/api/v1/i18n/projects/string/resolve?locale=string&key=string"{ "resolved": { "experiment_id": "string", "fallback_path": [ "string" ], "key": "string", "rich_text_markdown": true, "source_locale": "string", "tone": null, "value": "string", "variant": "string", "version": 0 }}POST/api/v1/i18n/projects/{project_id}/resolve-batch
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/resolve-batch" \ -H "Content-Type: application/json" \ -d '{ "keys": [ "string" ], "locale": "string" }'{ "missing": [ "string" ], "resolved": [ { "experiment_id": "string", "fallback_path": [ "string" ], "key": "string", "rich_text_markdown": true, "source_locale": "string", "tone": null, "value": "string", "variant": "string", "version": 0 } ]}POST/api/v1/i18n/projects/{project_id}/rollback
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/rollback" \ -H "Content-Type: application/json" \ -d '{ "locale": "string", "version": 0 }'{ "locale": "string", "project_id": "string", "restored_version": 0}POST/api/v1/i18n/projects/{project_id}/telemetry/missing
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/telemetry/missing" \ -H "Content-Type: application/json" \ -d '{ "caller": "string", "key": "string", "locale": "string" }'{ "count": 0, "key": "string", "locale": "string"}POST/api/v1/i18n/projects/{project_id}/translations/approve
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/translations/approve" \ -H "Content-Type: application/json" \ -d '{ "locale": "string" }'{ "approved": 0, "locale": "string", "project_id": "string"}POST/api/v1/i18n/projects/{project_id}/translations/upload
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/i18n/projects/string/translations/upload" \ -H "Content-Type: application/json" \ -d '{ "locale": "string", "strings": { "property1": {}, "property2": {} } }'{ "created": 0, "locale": "string", "project_id": "string", "updated": 0, "upload_id": "string", "validation_errors": [ { "key": "string", "message": "string" } ]}